# $Revision: 1.5 $, $Date: 2012/01/16 10:35:51 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Refcount
Summary:	Devel::Refcount - obtain the REFCNT value of a referent
Summary(pl.UTF-8):	Devel::Refcount - odczyt wartości REFCNT obiektu wskazywanego przez referencję
Name:		perl-Devel-Refcount
Version:	0.09
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/PEVANS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	53851ba63e3fa793fdfbb15567ad6a72
URL:		http://search.cpan.org/dist/Devel-Refcount/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a single function which obtains the reference
count of the object being pointed to by the passed reference value.

%description -l pl.UTF-8
Moduł ten dostracza pojedynczą funkcję, która odczytuje licznik
odwołań do obiektu wskazanego przez przekazaną referencję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Devel/Refcount.pm
%dir %{perl_vendorarch}/auto/Devel/Refcount
%{perl_vendorarch}/auto/Devel/Refcount/Refcount.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Refcount/Refcount.so
%{_mandir}/man3/Devel::Refcount.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Refcount.spec,v $
Revision 1.5  2012/01/16 10:35:51  zbyniu
- up to 0.09

Revision 1.4  2011/03/07 15:56:25  qboosh
- polished pl
- unified Source URL

Revision 1.3  2010/06/06 08:34:53  arekm
- release 2

Revision 1.2  2010/02/17 09:48:24  amateja
- updated to 0.07

Revision 1.1  2009/09/09 12:57:33  amateja
- initial
